<?php
$module_css_path = ($line_domain['theme'] != "" && $line_domain['theme'] != "default") ? ($path . ('assets/themes/' . $line_domain['theme'] . '/')) : $path;
/**
 * This function tries to fix the problem where a string with stripped html tags
 * contains glued words from adjacent sentences not properly ending with a dot.
 */
if(!class_exists("html2text")) {
	require_once( dirname(__FILE__) . "/../classes/extras/html2text.class.php");
}
if(!function_exists("fix_stripped_words")) {
	function fix_stripped_words($str) {
		$h2t = new html2text($str);
	
		$text = $h2t->get_text();
		$text = preg_replace("/[\r\n\t]{1,}/", " ", $text);
		$text = preg_replace('/\s+/u', ' ', $text);
		return $text;
		
	}
}
$module_dir = "main_article_list_middle";
if(file_exists($modules_path . "$module_dir/main_article_list_middle_init.php")) {
	include($modules_path . "$module_dir/main_article_list_middle_init.php");
	
	if(file_exists($modules_path . "$module_dir/main_article_list_middle_default.php")) {

		include($modules_path . "$module_dir/main_article_list_middle_default.php");
	}
}
?>